> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vulnerabilities for an Asset

> Get exploitable vulnerabilities by organization and assets uid



## OpenAPI

````yaml /streaming-openapi.yaml get /v1/{org_uid}/assets/{asset_uid}/vulns
openapi: 3.0.3
info:
  title: Streaming Service API
  description: API for streaming service
  version: 1.38.1
  contact:
    name: Synack Engineering
    email: engineering@synack.com
servers:
  - url: https://client.synack.com/api/streaming
    description: Commercial
  - url: https://client.synack.us/api/streaming
    description: FedRAMP (Medium)
security:
  - bearerAuth: []
paths:
  /v1/{org_uid}/assets/{asset_uid}/vulns:
    get:
      tags:
        - Vulnerabilities
      summary: >-
        Returns list of exploitable vulnerabilities on a given organization and
        asset uid
      description: Get exploitable vulnerabilities by organization and assets uid
      operationId: getAssetVulnerabilities
      parameters:
        - name: org_uid
          in: path
          description: Organization UID
          required: true
          schema:
            type: string
        - name: asset_uid
          in: path
          description: Asset UID
          required: true
          schema:
            type: string
        - name: statuses[]
          in: query
          description: Vulnerability status
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: vuln_cvss[]
          in: query
          description: >-
            Vulnerability CVSS range [0.0-0.0, 0.1-3.9, 4.0-6.9, 7.0-8.9,
            9.0-10.0]
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: patch_verification[]
          in: query
          description: >-
            Patch verification status [requested failed cancelled verified
            blocked]
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: order_by
          in: query
          description: Order by [title, severity, created_at, status]
          schema:
            type: string
            default: severity
            enum:
              - title
              - severity
              - created_at
              - status
        - name: order_direction
          in: query
          description: Order direction [asc desc]
          schema:
            type: string
            default: asc
            enum:
              - asc
              - desc
        - name: per_page
          in: query
          description: Maximum number of results to be returned
          schema:
            type: integer
        - name: page
          in: query
          description: If provided, show the provided page
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Document'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Bearer token is missing or invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Document:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Data'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
        included:
          type: array
          items: {}
        links:
          $ref: '#/components/schemas/Links'
        meta: {}
    Error:
      type: object
      properties:
        detail:
          type: string
        id:
          type: string
        source:
          type: string
        status:
          type: integer
        title:
          type: string
    Data:
      type: object
      properties:
        attributes: {}
        id:
          type: string
        links:
          $ref: '#/components/schemas/Links'
        meta: {}
        relationships:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Relationship'
        type:
          $ref: '#/components/schemas/ResourceType'
    Links:
      type: object
      properties:
        next:
          type: string
        prev:
          type: string
    Relationship:
      type: object
      properties:
        data: {}
        links:
          $ref: '#/components/schemas/Links'
    ResourceType:
      type: string
      enum:
        - asset_list
        - assets_counts
        - asset_details
        - asset_whois
        - asset_ports
        - asset_providers
        - asset_seed_groups
        - health_check
        - org_asset_ports
        - org_asset_suspected_vulns
        - org_asset_vulns
        - org_asset_listings_tests_latest
        - top_vulnerable_ports
        - top_unique_ports
        - most_recently_added_assets
        - top_cisa_cves
        - top_vulnerable_ips
        - asset_gateways
        - tags
        - last_tested_counts
        - last_assets_scan
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````